Get Open Finance Payment Consent by ID
GET/v1/open-finance/payment-consent/:id
Get an open finance payment consent by id.
Request
Path Parameters
Payment consent UUID.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
Responses
- 200
- 400
- 401
- 422
Payment consent returned.
- application/json
- Schema
- Example (from schema)
Schema
Payment consent UUID.
Payment consent enrollment ID. When payment consent is without redirect flow.
Possible values: [PENDING, WAITING, WAITING_AUTHORIZATION, AUTHORIZED, CONSUMED, REJECTED, REVOKED, EXPIRED, ERROR, FAILED]
Payment consent status.
Payment amount.
Possible values: [ACCOUNT, KEY, QR_CODE, QR_CODE_STATIC_INSTANT, QR_CODE_STATIC_WITHDRAWAL, QR_CODE_DYNAMIC_DUE_DATE, QR_CODE_DYNAMIC_WITHDRAWAL, QR_CODE_DYNAMIC_CHANGE, QR_CODE_DYNAMIC_INSTANT, REFUND, AUTOMATIC_PAYMENT, OPEN_FINANCE]
Payment type.
Client logged user bank ISPB.
Client logged user branch number.
Client logged user account number.
Possible values: [CACC, CASH, CHAR, CISH, COMM, CPAC, LLSV, LOAN, MGLD, MOMA, NREX, ODFT, ONDP, OTHR, SACC, SLRY, SVGS, TAXE, TRAN, TRAS, CC, PG, CD, CG, CI, PP, PI]
Client logged user account type.
Payment consent expiration date time.
Payment consent authorized date.
Payment consent rejected date.
Payment consent revoked date.
Payment consent expired date.
Payment consent redirect URI.
Payment consent created at.
Payment consent updated at.
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"enrollment_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"status": "PENDING",
"amount": 100,
"payment_type": "KEY",
"logged_user_bank_ispb": "1234567890",
"logged_user_branch_number": "0001",
"logged_user_account_number": "1234567890",
"logged_user_account_type": "CACC",
"expiration_date_time": "2026-05-29T21:41:49.869Z",
"authorized_date": "2026-05-29T21:41:49.869Z",
"rejected_date": "2026-05-29T21:41:49.869Z",
"revoked_date": "2026-05-29T21:41:49.869Z",
"expired_date": "2026-05-29T21:41:49.869Z",
"redirect_uri": "https://auth.bank.com/authorize?client_id=abc123&request_uri=urn:123",
"created_at": "2026-05-29T21:41:49.869Z",
"updated_at": "2026-05-29T21:41:49.869Z"
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.